@LICENCE@

#ifndef @HEADDEF@_H
#define @HEADDEF@_H

#include <QObject>

#include <@PARENTCLASSNAME@.h>

class @COMPONENTCLASSNAME@ : public camitk::@PARENTCLASSNAME@ {

    Q_OBJECT

public:
    /** Default Constructor
     *  This method may throw an AbortException if a problem occurs.
     */
    @COMPONENTCLASSNAME@(const QString & file);

    /// Default Destructor
    virtual ~@COMPONENTCLASSNAME@();
    @IF_NONE@

    /// do nothing to init the representation, as all representation are done in the sub-component
    virtual void initRepresentation() {};
    @ENDIF_NONE@

};

#endif // @HEADDEF@_H
